import Layout from '@/layout'

export const componentsRouter = {
  path: '/case',
  component: Layout,
  name: '场景组件',
  meta: {
    title: '场景组件',
    icon: 'component'
  },
  children: [
    {
      path: '/Common',
      name: '公共样式',
      component: resolve => require(['@/case/Common.vue'], resolve),
      meta: {
        title: '公共样式',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Buttons',
      name: '基本按钮',
      component: resolve => require(['@/case/Buttons.vue'], resolve),
      meta: {
        title: '基本按钮',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/SearchCondition',
      name: '查询条件',
      component: resolve => require(['@/case/SearchCondition.vue'], resolve),
      meta: {
        title: '查询条件',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Tab',
      name: 'Tab切',
      component: resolve => require(['@/case/Tab.vue'], resolve),
      meta: {
        title: 'Tab切',
        keepAlive: true
      }
    },
    {
      path: '/Table',
      name: '表格',
      component: resolve => require(['@/case/Table.vue'], resolve),
      meta: {
        title: '表格',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Tree',
      name: '树',
      component: resolve => require(['@/case/Tree.vue'], resolve),
      meta: {
        title: '树',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Pagination',
      name: '分页',
      component: resolve => require(['@/case/Pagination.vue'], resolve),
      meta: {
        title: '分页',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Dialog',
      name: '弹窗',
      component: resolve => require(['@/case/Dialog.vue'], resolve),
      meta: {
        title: '弹窗',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Notification',
      name: '状态提示',
      component: resolve => require(['@/case/Notification.vue'], resolve),
      meta: {
        title: '状态提示',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/detailPage',
      name: '详情页面',
      component: resolve => require(['@/case/detailPage.vue'], resolve),
      meta: {
        title: '详情页面',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/StateAndStep',
      name: '状态/步骤条',
      component: resolve => require(['@/case/StateAndStep.vue'], resolve),
      meta: {
        title: '状态/步骤条',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: "/timeLine",
      name: '时间线',
      component: resolve => require(["@/case/timeLine.vue"], resolve),
      meta: {
        title: '时间线',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Select',
      name: '选择',
      component: resolve => require(['@/case/Select.vue'], resolve),
      meta: {
        title: '选择',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Input',
      name: '输入',
      component: resolve => require(['@/case/Input.vue'], resolve),
      meta: {
        title: '输入',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/DateTime',
      name: '日期时间',
      component: resolve => require(['@/case/DateTime.vue'], resolve),
      meta: {
        title: '日期时间',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Upload',
      name: '附件',
      component: resolve => require(['@/case/Upload.vue'], resolve),
      meta: {
        title: '附件',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/Loading',
      name: '遮罩层',
      component: resolve => require(['@/case/Loading.vue'], resolve),
      meta: {
        title: '遮罩层',
        keepAlive: true // 需要被缓存
      }
    },
    // {
    //   path: '/imgUpLoad',
    //   name: '图片上传',
    //   component: resolve => require(['@/case/Loading.vue'], resolve),
    //   meta: {
    //     title: '遮罩层',
    //     keepAlive: true // 需要被缓存
    //   }
    // }
  ]
}

export const caseRouter = {
  path: '/tag401',
  component: Layout,
  name: '样例页面',
  meta: {
    title: '样例页面',
    icon: 'clipboard'
  },
  children: [
    {
      path: '/tag401',
      name: '401',
      component: resolve => require(['@/case/401.vue'], resolve),
      meta: {
        title: '401',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/403',
      name: '403',
      component: resolve => require(['@/case/403.vue'], resolve),
      meta: {
        title: '403',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/tag404',
      name: '404',
      component: resolve => require(['@/case/404.vue'], resolve),
      meta: {
        title: '404',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/500',
      name: '500',
      component: resolve => require(['@/case/500.vue'], resolve),
      meta: {
        title: '500',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/systemMaintenance',
      name: '系统维护',
      component: resolve => require(['@/case/systemMaintenance.vue'], resolve),
      meta: {
        title: '系统维护',
        keepAlive: true // 需要被缓存
      }
    }
  ]

}

export const ruleRouter = {
  path: '/PageRules',
  component: Layout,
  name: '页面规范',
  meta: {
    title: '页面规范',
    icon: 'tab'
  },
  children: [
    {
      path: '/PageRules',
      name: '页面规范',
      component: resolve => require(['@/case/PageRules.vue'], resolve),
      meta: {
        title: '页面规范',
        keepAlive: true // 需要被缓存
      }
    },
    {
      path: '/InfoRules',
      name: '详情页规范',
      component: resolve => require(['@/case/InfoRules.vue'], resolve),
      meta: {
        title: '详情页规范',
        keepAlive: true // 需要被缓存
      }
    }
  ]

}

// export default { componentsRouter, caseRouter, ruleRouter }
